Bug 853124 - Review Request: stompclt - Versatile STOMP client
Summary: Review Request: stompclt - Versatile STOMP client
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-30 14:41 UTC by Massimo Paladin
Modified: 2012-11-14 18:30 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-11-06 11:36:48 UTC
mrunge: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Massimo Paladin 2012-08-30 14:41:53 UTC
Spec URL: https://mpaladin.web.cern.ch/mpaladin/rpms/stompclt/stompclt.spec
SRPM URL: https://mpaladin.web.cern.ch/mpaladin/rpms/stompclt/stompclt-0.5-1.fc17.src.rpm
Description: stompclt is a versatile tool to interact with messaging brokers speaking
STOMP and/or message queues (see Messaging::Message::Queue) on disk.

It receives messages (see Messaging::Message) from an incoming module,
optionally massaging them (i.e. filtering and/or modifying), and sends
them to an outgoing module. Depending on which modules are used, the tool
can perform different operations.
Fedora Account System Username: mpaladin

Comment 1 Matthias Runge 2012-10-11 06:57:53 UTC
Andrew,

I would do this review also.

Matthias

Comment 2 Massimo Paladin 2012-10-17 16:18:22 UTC
ping

Comment 3 Matthias Runge 2012-10-18 06:15:09 UTC
Since, Andrew seems busy, I'll take this review

Comment 4 Matthias Runge 2012-10-18 11:50:08 UTC
ok, before I'll do a full review:
- BuildRoot not necessary anymore
- clean section not required anymore
- rm -rf %{buildroot] at beginning of install not required
- drop defattr from files section
- please be more specific in files section:
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

Comment 5 Massimo Paladin 2012-10-18 16:08:48 UTC
Hi Matthias,

the package needs to go to el5, this explains you first 4 comments.

Updated spec and srpm files:
Spec URL: https://mpaladin.web.cern.ch/mpaladin/rpms/stompclt/stompclt.spec
SRPM URL: https://mpaladin.web.cern.ch/mpaladin/rpms/stompclt/stompclt-0.5-2.fc17.src.rpm

Comment 6 Matthias Runge 2012-10-19 08:27:25 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
Required for EPEL5

[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
Required for EPEL5

[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
Required for EPEL5
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
Required for EPEL5

[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: stompclt-0.5-2.fc19.src.rpm
          stompclt-0.5-2.fc19.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint stompclt
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
stompclt-0.5-2.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/perl  
    perl(:MODULE_COMPAT_5.16.1)  
    perl(Authen::Credential)  
    perl(Config::General)  
    perl(Config::Validator)  
    perl(Data::Dumper)  
    perl(Directory::Queue)  
    perl(Getopt::Long)  
    perl(List::Util)  
    perl(Messaging::Message)  
    perl(Messaging::Message::Queue)  
    perl(Net::STOMP::Client)  
    perl(No::Worries)  
    perl(No::Worries::Die)  
    perl(No::Worries::File)  
    perl(No::Worries::Log)  
    perl(No::Worries::PidFile)  
    perl(No::Worries::Proc)  
    perl(No::Worries::Syslog)  
    perl(No::Worries::Warn)  
    perl(Pod::Usage)  
    perl(Time::HiRes)  
    perl(constant)  
    perl(sigtrap)  
    perl(strict)  
    perl(warnings)  



Provides
--------
stompclt-0.5-2.fc19.noarch.rpm:
    
    stompclt = 0.5-2.fc19



MD5-sum check
-------------
http://cern.ch/lionel.cons/perl/stompclt/stompclt-0.5.tar.gz :
  CHECKSUM(SHA256) this package     : 85545706c12b4fbc10ee3b915762850353a9aa653a6ff4bccbf20f786bb963f2
  CHECKSUM(SHA256) upstream package : 85545706c12b4fbc10ee3b915762850353a9aa653a6ff4bccbf20f786bb963f2


OK; could you please also be more specific with license?
README says: This program is free software; you can redistribute it and/or modify it
under the terms of either: the GNU General Public License as published
by the Free Software Foundation; or the Artistic License.

so clearly free software, but FSF publishes more than one license and also Artistic license is not a specific one:
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses 

So, I see this Licensing issue: please try to be more specific on that, even the README could/should be more specific. It's also good practice, to include the license.txt (upstream should do that).

Comment 7 Massimo Paladin 2012-10-19 08:46:36 UTC
Hi Matthias,

thanks for the review, GPL+ or Artistic is a valid FSF license, it is a Perl license:
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing

Am I missing something?

Comment 8 lionel.cons 2012-10-19 08:48:02 UTC
See also http://fedoraproject.org/wiki/Packaging:Perl#License_tag.

Comment 9 Matthias Runge 2012-10-19 08:49:38 UTC
Oops, I'm sorry, my mistake. I simply overlooked that, I was searching by the short tags itself. 

No other issues, 
Package approved.

Comment 10 Massimo Paladin 2012-10-19 08:57:59 UTC
Ok, thank you Matthias.

Comment 11 Massimo Paladin 2012-10-19 09:02:10 UTC
New Package SCM Request
=======================
Package Name: stompclt
Short Description: Versatile STOMP client
Owners: mpaladin
Branches: f16 f17 f18 el5 el6
InitialCC: perl-sig

Comment 12 Gwyn Ciesla 2012-10-19 11:00:24 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2012-10-19 13:02:06 UTC
stompclt-0.5-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/stompclt-0.5-2.fc16

Comment 14 Fedora Update System 2012-10-19 13:02:21 UTC
stompclt-0.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/stompclt-0.5-2.fc17

Comment 15 Fedora Update System 2012-10-19 13:02:31 UTC
stompclt-0.5-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/stompclt-0.5-2.el5

Comment 16 Fedora Update System 2012-10-19 13:02:42 UTC
stompclt-0.5-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/stompclt-0.5-2.fc18

Comment 17 Fedora Update System 2012-10-19 13:03:10 UTC
stompclt-0.5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/stompclt-0.5-2.el6

Comment 18 Fedora Update System 2012-10-19 23:53:59 UTC
stompclt-0.5-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 19 Fedora Update System 2012-11-14 18:30:01 UTC
stompclt-0.5-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 20 Fedora Update System 2012-11-14 18:30:32 UTC
stompclt-0.5-2.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.